# Uses of Class
javax.swing.plaf.synth.SynthStyleFactory

Packages that use SynthStyleFactory
Package
Description
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.

- ## Uses of SynthStyleFactory in javax.swing.plaf.synth

  Methods in javax.swing.plaf.synth that return SynthStyleFactory
  Modifier and Type
  Method
  Description
  `static SynthStyleFactory`
  SynthLookAndFeel.`getStyleFactory()`
  Returns the current SynthStyleFactory.
  Methods in javax.swing.plaf.synth with parameters of type SynthStyleFactory
  Modifier and Type
  Method
  Description
  `static void`
  SynthLookAndFeel.`setStyleFactory(SynthStyleFactory cache)`
  Sets the SynthStyleFactory that the UI classes provided by synth will use to obtain a SynthStyle.